// A remote interface for clients of a bidding service

import java.util.Vector;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface BidClient extends Remote {
    public void updateBidList(Vector bidList) throws RemoteException; // sent by server on every change to bid list
    public void purchase(BidClient seller, String item, int price) throws RemoteException; // I bought it
    public void sale(BidClient buyer, String item, int price) throws RemoteException; // I sold it
    public String whoAreYou() throws RemoteException; // used by buyer and seller to exchange names and addresses
    public void friend(BidClient buddy) throws RemoteException; // test service to see if clients can talk to each other
}

