/**
 * Title:        mike.bid.com
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author Charles E. Hughes
 * @version 1.0
 */

// A remote interface for a bidding service

import java.util.Vector;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface BidServer extends Remote {
    public int register(BidClient client) throws RemoteException; // return unique id (-1 if fail)
    public void unregister(int id) throws RemoteException; // removes this client from server's registry -- must remove its sale items and update bid list
    public boolean offer(int id, String item, int price) throws RemoteException; // return true if accepted (max 3 items per client)
    public boolean bid(int id, String item, int price) throws RemoteException; // return true if accepted (> current bid && not sold)
    public boolean accept(int id, String item) throws RemoteException; // reurns true if there is a bid to accept and you are seller
}

